2018-11-28 - 2.0.4.5_beta_2018-11-28
==========
The major changes in this version are:

* New multi-threaded processing engine
* New logging system with filter options
* Better external reporting, with JSON support
* Filter groups to exclude common unwanted files
* Ignore filenames and empty folders added
* USN support on Windows
* Improved repair and validation
* Fixed reading password from console
* UID and GID now correctly restored on Linux/BSD/MacOS
* Added a number of new languages to the user interface

And of course many, many, other updates and fixes contributed by the Duplicati community.

A big thanks to all who contributes fixes, reportes issues, and participate on the forum!

2018-11-28 - 2.0.4.3_beta_2018-11-28
==========
The major changes in this version are:

* New multi-threaded processing engine
* New logging system with filter options
* Better external reporting, with JSON support
* Filter groups to exclude common unwanted files
* Ignore filenames and empty folders added
* USN support on Windows
* Improved repair and validation
* Fixed reading password from console
* UID and GID now correctly restored on Linux/BSD/MacOS
* Added a number of new languages to the user interface

And of course many, many, other updates and fixes contributed by the Duplicati community.

A big thanks to all who contributes fixes, reportes issues, and participate on the forum!

2018-11-12 - 2.0.4.2_experimental_2018-11-12
==========
* Rebuild of 2.0.4.1 due to errors in the Docker images

2018-11-08 - 2.0.4.1_experimental_2018-11-08
==========
This is a collection release that is based on the 2.0.3.14 canary build.

The major changes in this version are:

* New multi-threaded processing engine
* New logging system with filter options
* Better external reporting, with JSON support
* Filter groups to exclude common unwanted files
* Ignore filenames and empty folders added
* USN support on Windows
* Improved repair and validation
* Fixed reading password from console
* UID and GID now correctly restored on Linux/BSD/MacOS
* Added a number of new languages to the user interface

And of course many, many, other updates and fixes contributed by the Duplicati community.

A big thanks to all who contributes fixes, reportes issues, and participate on the forum!

2018-11-08 - 2.0.3.14_canary_2018-11-08
==========
* Removed unused icons, thanks @Pectojin
* Updated AWS libraries, thanks @Pectojin
* Removed the WindowsService restart fix as it did not work as expected

2018-10-31 - 2.0.3.13_canary_2018-10-31
==========
* Added more tests, thanks @warwickmm
* Fixed duration display in restore, thanks @verhoek
* Refactored Dropbox backend, thanks @verhoek
* Fixed a typo in the filter for excluding Firefox data, thanks @warwickmm
* Fixed problem with OneDrive "eating" leading slashes, thanks @warwickmm
* Improved Windows version detection for HyperV, thanks @mnaiman
* Added code to allow the Windows Service to correctly autoupdate

2018-10-23 - 2.0.3.12_canary_2018-10-23
==========
* Fixed translations not working for sub-cultures, thanks @LacunaSoftware
* Improved error detection and reporting
* Fixed progress bar not updating, thanks @LacunaSoftware
* Improved LVM handling, thanks @jkellerer
* Fixed issues with long paths and USN, thanks @dgehri
* Numerous code quality improvements, thanks @warwickmm
* Removal of unused code, thanks @Pectojin
* Added backup description field to UI, thanks @sffetlio
* Updated MegaApiClient to 1.6.3, thanks @Pectojin
* Normalize paths by forcing Windows drive letters to upper case, thanks @mnaiman
* Fixed progress stats gammar and consistency, thanks @lucascosti
* Fixed server errors with empty form changes, thanks @LacunaSoftware
* Improved error messages, thanks @warwickmm
* Added US-West to Wasabi, thanks @gzzengwei
* Added app manifest files for Windows, thanks @LacunaSoftware

2018-09-05 - 2.0.3.11_canary_2018-09-05
==========
* Cleanup of async methods and naming, thanks @warwickmm
* Added more non-compressible file extensions, thanks @ravisorg
* Login password field is now auto-focused, thanks @ltGuillaume
* Added more pause time options, thanks @bmendonca
* Fixed filename comparer to support correct filename encoding, thanks @warwickmm
* Changed the default filename query to fix reported slowdowns
* Added additional experimental queries to possible speed things up even more with 

2018-08-30 - 2.0.3.10_canary_2018-08-30
==========
* Updated the help text for no certificates found, thanks @jonmikeiv
* Fixed logging details, thanks @mnaiman
* Fixed error messages on repair, thanks @mnaiman
* Refactored the FTP backend, thanks @verhoek
* Rewrote the lock on database queries to be simpler and less CPU intensive
* Removed some logging details in core performance areas (can be re-enabled with `--profile-all-database-queries`)
* Removed automatic attempts to rebuild `dblock` files as it is slow and rarely finds all the missing pieces (can be enabled with `--rebuild-missing-dblock-files`).
* Fixed the version number on MacOS builds
* Updated the signing certificate for executables and Windows installers
* Added a hostname check for the webserver
* Fixed an issue where the number of remaining files would be negative
* Updated localization files
* Now emits a warning if the option is missing a suffix on sizes (b, kb, mb, gb, tb)
* Added partially translated Romanian, Swedish, Thai, Hungarian, Slovakian, Catalan, Japanese, Bengali, and Korean to langauges
* Fixed a number of issues with `--check-filetime-only`
* Removed the `--store-metadata` option
* Rewrote the query that fetches the previous information for a file or folder. Set the environment variable `TEST_QUERY_VERSION=1` to revert to the old version for speed comparison, or `TEST_QUERY_VERSION=2` for an alternate version.
* Improved UI status messages, thanks @lucascosti
* Failing to add a file will now give a warning instead of stopping the backup
* Removed a hot-item cache for VSS
* Added option `--disable-filelist-consistency-checks` to allow speeding up large backups
* Now ignoring `ENODATA` error message when reading metadata on Linux/BSD
* Added additional support for exit codes in `--run-script-before` to allow stopping the backup or emitting a warning 
* Fixed an issue with Google Cloud Storage, thanks @warwickmm
* Improved the B2 username field description, thanks @xfakt-pj
* Removed some unused code, thanks @warwickmm
* Improved source code documentation, thanks @mikaelmello

2018-06-30 - 2.0.3.9_canary_2018-06-30
==========
* Fixed an issue with dectection HyperV, thanks @mnaiman
* Default to exclude the System State VSS writers, thanks @mnaiman
* Fixed an issue where restores from the GUI would not autodetect blocksize and other parameters
* Fixed an issue with VSS failing to map the paths

2018-06-28 - 2.0.3.8_canary_2018-06-28
==========
* Fixed MSI version number
* Un-hid the Google GCS backend
* Fixed file sizes reported as zero
* Fixed a wrong display of sizes less than 1kb, thanks @fyndecano
* Improvements to the build process, thanks @verhoek
* Fixed a problem with the Amazon Cloud Drive delay, thanks @snamds
* Fixed a potential deadlock/performance issue, thanks @warwickmm
* Improved metadata reporting and UI, thanks @verhoek
* Improved Hyper-V detection, thanks @mnaiman
* Improved ways to handle the temporary folder, thanks @verhoek
* Added logic to remove privileges from the database files, thanks @verhoek
* Fixed a problem with USN support, thanks @dgehri
* Fixed temporary files not being removed
* Fixed no output from commandline on Windows
* Enabled password input from console again

2018-06-17 - 2.0.3.7_canary_2018-06-17
==========
* Added option to exclude empty folders
* Added option to exclude folders based on the existence of a marker file
* Changed the generation of index files to avoid pulling them from a database query
* Fixed an issue that would create large index files
* Improved the recreate logic to work if some files are missing, but the data exists in other files
* Fixed spacing in the status bar UI, thanks @SanduRajapakse
* Optimized unittests for serialization, thanks @warwickmm
* Improved commandline parsing, thanks @verhoek
* Added support for using the USN numbers for faster backups on NTFS drives, thanks @dgehri
* Added Duplicati program version in status results, thanks @drwtsn32x
* Added thread safe collections to the Synology auth handler, thanks @warwickmm
* Improved code readability, thanks @warwickmm
* Removed all calls to `Console.WriteLine` as it could lock up the console on Windows
* Added Memset Cloud Storage to OpenStack providers, thanks @tnwhitwell
* Refactored GoogleDrive backend, thanks @verhoek
* Improved unittest scripts, thanks @verhoek
* Optimized some string operations, thanks @warwickmm
* Fixed a few issues with the commandline interface, thanks @verhoek
* Updated built-in help for the new `--log-level` options, thanks @tygill
* Code cleanup and standardization, thanks @warwickmm
* Fixed issue on OneDrive (MSGraph) that would fail when trying to delete a missing file, thanks @tygill
* Added additional help text for the dblock size picker UI
* Added UI validation for B2 paths
* No longer restoring metadata on symlinks by default, as that updated the targets
* Fixed an issue with OAuth timeouts, thanks @tygill
* Fixed an issue with overriding the temporary folder, thanks @verhoek
* Fixed an issue with clearing callcontext settings, thanks @verhoek
* Fixed an issue with shared buffers causing validation errors when running multiple index file generators
* Improved the repair and broken file detection, thanks @tygill
* Refactored the Google Cloud Storage backend, thanks @verhoek
* Improved error message and handling for source folders with permission issues, thanks @verhoek
* Fixed a problem with recreating symlinks on Windows, thanks @snamds
* Improved handling of the console input/output, thanks @verhoek
* Fixed a race in the webserver when decoding locale, thanks @verhoek
* Added an option to disable automatic login from the tray icon
* Fixed some incorrect status reports being generated during backup
* Fixed an null-error in the box.com backend, thanks @warwickmm

2018-04-23 - 2.0.3.6_canary_2018-04-23
==========
This update adds concurrent processing for the backup. With this update, the backup will now use multiple cores to perform checking and compressing.
Use the advanced option `--concurrency-max-threads` to toggle how many threads to use.
The options `--concurrency-block-hashers` and `--concurrency-compressors` can be used to adjust the number of hashers and compressors to use.

Beware that this update contains a lot of new code, and should only be used in test environments.

Other fixes in this build:
* Fixes for filter groups, thanks @tygill
* Fixed a backup import issue with empty metadata
* Added upper bound to password checker, thanks @pectojin

2018-04-13 - 2.0.3.5_canary_2018-04-13
==========
* Improved progress bar messsages and layout, thanks @SanduRajapakse
* Improved icon status images, thanks @dbddhkpde
* Code and test cleanups, thanks @warwickmm
* Fixed an issue with rclone backend ignoring options, thanks @Bruceforce
* Added a fix for browsers with scripting disabled, thanks @Pectojin
* Added a button to dismiss all messages, thanks @Pectojin
* Added KeyStone v3 support to OpenStack backend, thanks @epol
* Updated translations, thanks to all translators!
* Fixed an issue that caused large log data to accumulate and break sending report/email status
* Added support for fine-grained control over how log data is reported via email, http and Jabber/XMPP
* Added support for sending JSON formatted data with the http report module
* Fixed an issue with MS Graph authentication, thanks @tygill
* Fixed a performance issue during file scanning, thanks @ltfish
* Added support for serializing results into json for all report modules and the run-script module as well, thanks @StephenGregory
* Added filter groups and a UI for it, thanks @tygill
* Fixed an issue where some paths were not reported via test-filters
* Fixed some issues with handling internal server settings, thanks @warwickmm

2018-04-02 - 2.0.3.4_canary_2018-04-02
==========
* Added support for setting low IO priority during backups
* Changed order of throttling arguments to fix incorrect throtling
* Added an option to disable backups when running on battery, thanks @warwickmm
* Fixed a crash on the CLI help page, thanks @tygill
* Added new Graph-API based backends for SharePoint and Office 365, thanks @tygill
* Added new UI status badges, thanks @dbddhkpde

2018-04-02 - 2.0.3.3_beta_2018-04-02
==========
This beta release contains many changes, a quick summary of changes:

* Fixed not running the slow VACUUM command after each operation
* Fixed a problem with SSL certificates periodically failing
* Added Sia and rclone backends
* Updated the hashing library to use faster native libraries where available
* Added a new retention policy and UI which allows backup versions to decrease over time
* Updated the auto-updater, such that new installs will spawn an extra process instead of using the AppDomain method as previously done.
* Faster browsing of files to restore
* Removed automatic tilde expansions as it created numerous problems
* Multiple new languages added to the UI
* Fixed a number of browser cache issues, which should fix the XSRF errors
* Fixed not attempting to read non-symlink reparse points on Windows
* Fixed some crashes that were caused by the usage reporter filling up reports

Thanks to the many contributors who worked hard to get this release ready!

2018-03-16 - 2.0.3.2_canary_2018-03-16
==========
* Added a new logging system with filters
* Source code documentation fixes and code quality fixes, thanks @warwickmm
* Improved the speed of the re-encrypt python script, thanks @piegamesde
* Added username and started-by information in the WebUI, thanks @Pectojin

2018-03-16 - 2.0.3.1_experimental_2018-03-16
==========
This experimental release is mostly the same as the canary build v2.0.2.20.
Some of the major changes from the experimental build 2.0.2.15 are:

* A new UI for setting the retention policy
* Added an rclone backend
* External links in the UI are now marked
* Fixed a number of browser cache issues, which should fix the XSRF errors
* Optional warnings when reaching the quota limit
* Fixed not attempting to read non-symlink reparse points on Windows
* Fixed a problem with the box.com backend
* Fixed some crashes that were caused by the usage reporter filling up reports
* Option to disable the file-size read-ahead scanner

2018-03-06 - 2.0.2.21_canary_2018-03-06
==========
* Rebuilt the style.css file
* Added support in all backends for reloading DNS names when the error indicates a DNS error
* Removed some default filters (still disabled by default), thanks @tygill
* Fixed a parsing case for the 'U' parameter, thanks @TekkiWuff
* Fixed a problem with IE not loading the page correctly, thanks @TekkiWuff
* Fixed a problem with setting the initial password on the server and some change-password issues, thanks @mnaiman

2018-02-27 - 2.0.2.20_canary_2018-02-27
==========
* Added Docker images, thanks @fkrull
* Fixed log entries being cut in UI, thanks @Pectojin
* Improved the webserver status codes, thanks @Pectojin
* Fixed the Mono download link for the OSX package, thanks @aranaur
* Improved the log UI to not load excessive results, thanks @Pectojin
* Fixed an issue where retention options would not clear in the UI, thanks @TekkiWuff
* Not applying default filters, unless explicitly enabled by the user
* Automatically reloading DNS entries for WebDAV if there is a name lookup error, thanks @Pectojin
* Improved rentention policy syntax and functionality, thanks @TekkiWuff
* Added script to re-encrypt remote files, thanks @wjansenw
* Fixed a number of incorrect HTTP status codes, thanks @Pectojin

2018-02-12 - 2.0.2.19_canary_2018-02-12
==========
* Updated translations
* Rebuilt stylesheet

2018-02-11 - 2.0.2.18_canary_2018-02-11
==========
* Fixes to the "advanced options" list in the GUI, thanks @pectojin
* Fixed OpenStack URI selector in the GUI, thanks @pectojin
* Added workaround to broken OneDrive file listing, thanks @osmogar
* Improvements to the log page, thanks @pectojin
* Fixed a scheduler issue with clock drift, thanks @pectojin
* Added option to ignore metadata when importing a backup, thanks @pectojin
* Improvements to backup retention, thanks @TekkiWuff
* Added `--parameters-file` to the server, thanks @pectojin
* Fixed incorrect size requirements for Synology package
* Fixes to the DuplicatiVerify.ps script, thanks @mnaiman
* Fixed showing backup durations longer than 24 hours, thanks @pectojin
* Fixed leaving orphan data in the settings database after deleting a backup job, thanks @pectojin
* Fixed many caching issues, which should also fix the XSRF error message
* Fixed sending "run now" commands in front of the backup queue, thanks @pectojin
* Added warnings when the backup is nearing the quota limit, thanks @tygill
* Fixed all reparse points were treated as symlinks, which fixes backup of OneDrive folders, thanks @tygill
* Fixed a crash on very fast copy operations, thanks @TekkiWuff
* Added .m2ts (BlueRay container) to the list of non-compressible extensions, thanks @pectojin
* Fixed a bug in the box.com backend that prevented backups
* Fixed a weird "0 warnings" message
* Made the GUI menu stay in place instead of scroll away, thanks @pectojin
* Fixed a problem where default filters were not applied when running from the server, thanks @tygill
* Added limitations to the usage reporter, so it does not attempt to submit a large backlog of data
* Fixed two cases where commandline arguments were not correctly formatted when sent to new processes
* Added support for disabling the file-size read-ahead scanner

2018-01-23 - 2.0.2.17_canary_2018-01-23
==========
- Fixed a bug with the update packages having an invalid hash
- Updated external links in the UI to be clearly marked
- Experimental support for Google Team Drives
- Fixed WEBDAV Test function, thanks @inat3k
- Added an rclone backend, thanks @wjansenw
- Fixed some broken error messages, thanks @JonMikeIV
- Added a simple UI for exposing the `--retention-policy` option

2018-01-18 - 2.0.2.16_canary_2018-01-18
==========
* Reworked some internal compression code, thanks @vnau
* Updated commandline documentation, thanks @mr-flibble
* Improved 64bit OS detection, thanks @warwickmm
* Fixed a problem with the progress bar hiding under the top bar, thanks @pectojin
* Fixed a problem displaying more than 10 advanced options, thanks @pectojin
* Improved detection of 32bit MSSQL on 64bit Windows, thanks @inat3k
* Changed load order of modules to allow `run-script` to change setup, thanks @BrianLakstins
* Added a `UserAgent` header to OD4B requests

2018-01-03 - 2.0.2.15_experimental_2018-01-03
==========
This is the same as build 2.0.2.14 canary

Overview of major and breaking changes since 2.0.1.73 experimental:
* Fixed not running the slow VACUUM command after each operation
* Improved S3 to work better with non AWS hosts
* Updated backend support libraries to the latest versions: Azure, AWS, SSH, SharpCompress, Mega, AlphaFS
* Fixed a problem with SSL certificates periodically failing
* Added a Sia backend
* Added a number of default excludes
* Updated the hashing library to use faster native libraries where available
* Added a new retention policy which allows backup versions to decrease over time
* Updated the auto-updater, such that new installs will spawn an extra process instead of using the AppDomain method as previously done.
* Faster browsing of files to restore
* Removed automatic tilde expansions as it created numerous problems
* Multiple new languages added to the UI

2017-12-22 - 2.0.2.14_canary_2017-12-22
==========
* Multiple code quality fixes, thansk @warwickmm
* Fixed a case where commandline arguments ending with a backslash were not correctly escaped on Windows

2017-11-22 - 2.0.2.13_canary_2017-11-22
==========
* Fixed an issue with AutoUpdater semi-ignoring webroot
* Fixed an issue where source folders would be omitted from the backup if a file with the same leading name was also added
* Switched to default "keep forever", thanks @ItEndsWithTens
* Fixed a startup crash caused by invalid throttle values
* Added a number of new languages, thanks to all translators!
* Timestamps in the log are now reported in local time and include a UTC timestamp for easy script parsing
* Added Windows registry exclusion list to the default exclude filters
* Added .dv files to compression exclusion list, thanks @jesjimher
* Fixed some spelling in the UI, thanks @davegold24 and @JonMikeIV
* Fixed logic of the `affected` command to not return empty results if the local database was not found
* Fixed a case where the "Resume" button did not appear clickable, thanks @JonMikeIV
* Improved query time for browsing folders during restore, thanks @RobSauro
* Commands are now sorted alphabetically, thanks @JonMikeIV
* Improved an error message when the SSH key failed to parse
* Removed tilde expansion to fix multiple issues caused by unexpected expansio, thanks @warwickmm
* Fixed .rbf files to only be excluded if they are part of the `config.msi` folder
* Improved the commandline export to show commandlines that are correctly escaped for the shell
* Fixed a case where the AutoUpdater would fail to send the correct commandline to the updated process

2017-10-20 - 2.0.2.12_canary_2017-10-20
==========
* Fixed not reporting "Finished" until the backup is actually finished, thanks @warwickmm
* Fixed stack overflow in FTP backend, thanks @tygill
* Fixed a number of incorrect exception messages, thanks @warwickmm
* Removed assembly signing for now, thanks @warwickmm

2017-10-20 - 2.0.2.11_canary_2017-10-20
==========
* Changed the way the auto-updater works. It now spawns a new version of the executable instead of attempting to run it in an AppDomain
  It is possible to revert to the old version by setting the environment variable `AUTOUPDATER_USE_APPDOMAIN=true`
* Updated Synology script to be better at locating Mono
* Service description now requests auto-restart
* Added the Czech (cs) translations
* Updated FasterHashing, so it automatically picks up openssl 1.0 and 1.1 on all platforms

2017-10-11 - 2.0.2.10_canary_2017-10-11
==========
* Fixed an issue with the compare command not working with filters
* Fixed showing the full version number on the app on MacOS
* Code quality cleanup, thanks @warwickmm
* Added code to detect the power supply source, thanks @warwickmm
* Fixed an issuw with quota detection for non-drive roots on Windows, thanks @t$
* Implemented retention policy as a commandline switch, thanks @tekkiwulf
* Improved default filters, thanks @tygill
* Updated FasterHashing to fix problems on MacOS and with OpenSSL 1.1
* Fixed the remote-file delete function to only delete Duplicati-related files
* Added option to run the tray-icon detached from the console

2017-10-01 - 2.0.2.9_canary_2017-10-01
==========
* Updated libraries: NewtonSoft.Json, AzureBlob, AWS, SSH, SharpCompress, Meg, NGetText, MimeKit, MailKit, AlphaFS, CoCoL
* Fixed the default-filters warning, thanks @tygill
* Added quota reporting to OneDrive, thanks @tygill
* Added a number of performance improvementes, thanks @warwickmm
* Switched hashing to use FasterHashing which loads OpenSSL or Apple CC libraries for much faster hashing performance
* Changed the `--zip-compression-method` option to report only the supported methods
* Fixed error on Compact that was caused by backend re-use

2017-09-20 - 2.0.2.8_canary_2017-09-20
==========
* Fixed passwordless SSH setup, thanks @Pectojin
* More fixes to the SSL certificate override issue
* Changed hash provider to use the native CNG version if available

2017-09-19 - 2.0.2.7_canary_2017-09-19
==========
* Fixed an issue with S3 IAM not working if the destination had subfolders
* Fixed an issue where the backup would error out reporting an extra file that was just deleted
* Fixed an issue with AmzCD not honoring the consistency delay in all cases
* Added support for GUID based source folders on Windows, thanks @tygill
* Fixed not being able to set "no delay" for startup settings, thanks @Pectojin
* Added nice-level to Duplicati-server on Linux-based installs, thanks @z0rc
* Re-introduced the machine name in the WebUI page title, thanks @Pectojin
* Reduced size of PNG images, thanks @PeterDaveHello
* Added default filters to exclude temp folders and similar, thanks @tygill
* Fixed all string compares to use ordinal compare, thanks @tygill
* Fixed a case where temporary files were not removed after verification

2017-09-16 - 2.0.2.6_canary_2017-09-16
==========
* Added an experiemental --use-block-cache flag to test performance potential

2017-09-14 - 2.0.2.5_canary_2017-09-14
==========
* Added support for wildcards in source paths on Windows, thanks @tygill
* Improved default values for Sia backend, thanks @fuffenz

2017-09-09 - 2.0.2.4_canary_2017-09-09
==========
* Fixed an issue that cause Duplicati GUI to fail on startup

2017-09-08 - 2.0.2.3_canary_2017-09-08
==========
* Added Italian and Chinese (Taiwan) to languages
* Fixed periodically loosing http certificate overrides
* Added status variables to mail/jabber/script/http reporters
* Added a Sia backend (thanks @fuffenz)
* Fixed issue with using Azure backend

2017-08-30 - 2.0.2.2_canary_2017-08-30
==========
* Fixed not performing vacuum all the time, thanks @danstahr
* Added Selectel as an OpenStack prodvider, thanks @febalist
* Added a fix for hanging "Connecting ..." dialogs on some machines
* Fixed an issue with the HTTP report module not using a custom message
* Updated translations, added Danish to the list, thanks to all translators!
* Improved error messages on passphrase change
* Fixed a crash that happened in the scheduler if the clock was changed with more than 3 months
* Fixed TrayIcon connecting over HTTPS if possible, thanks @mnaiman
* Added options to SSH library that allows configuring the timeout values
* Updated the Mega and SSH libraries
* Added support for detecting MacPorts versions of Mono
* Added a tooltip to the Windows trayicon
* Changed the logic in S3 to auto-set `--s3-ext-forcepathstyle` if the destination is not a known Amazon server
* Improved error message for WebDAV if the server returns 405
* Added a startup dialog that asks users to password protect the UI
* Added Wasabi as an S3 provider

2017-08-01 - 2.0.2.1_beta_2017-08-01
==========
This is the first Beta release of Duplicati 2.0.

It is a rebuild of version 2.0.1.73, intended for users who prefer a stable version instead of "bleeding edge" updates.

Thanks to everyone who has used Duplicati, reported bugs and contributed fixes!

2017-07-15 - 2.0.1.73_experimental_2017-07-15
==========
This version is the same as 2.0.1.72_canary.
Som of the changes from 2.0.1.61_experimental:

* Added a "dark" theme
* Updated thirdparty libraries
* Added JottaCloud backend
* Improved database rebuild speed
* Added throttle controls to the WebUI
* Switched to %LOCALAPPDATA% for storing data on Windows
* And more ...

2017-07-05 - 2.0.1.72_canary_2017-07-05
==========
* Fix duplicate `zip-compression-level` warning

2017-07-04 - 2.0.1.71_canary_2017-07-04
==========
* Fixed a problem with the Synology package allowing access without being authenticated with DSM

2017-07-04 - 2.0.1.70_canary_2017-07-04
==========
* Added support for enabling zip64
* Rewrote the Synology package to use nginx proxy features instead of CGI
* Added code signature to Synology package

2017-06-29 - 2.0.1.69_canary_2017-06-29
==========
* Added support for attaching the console to the service on Windows, thanks @mnaiman
* Fixed a crash when starting the trayicon with a password set, thanks @mnaiman

2017-06-28 - 2.0.1.68_canary_2017-06-28
==========
* Fixed an issue with password managers setting the password on configuration export
* Updated SQLite to 1.0.105.2 (3.19.3) on Windows
* Fixed an issue that prevented the TrayIcon "Quit" menu item from working
* Now using %LOCALAPPDATA% for storing local files on Windows, unless %APPDATA% already has data
* Updated AWS S3 libraries
* Switched to new Authenticode signing key

2017-06-21 - 2.0.1.67_canary_2017-06-21
==========
* Fixed the main menu "floating" up on small screens
* Fixed some issues with stopping a backup
* Fixed the help dialog for HubiC suggesting the default/ prefix
* Changed some texts in the UI
* Added live throttle control options
* Added option for TrayIcon to connect to the server without the password, if it can read the local database
* Added systed service file for RPM installs

2017-06-15 - 2.0.1.66_canary_2017-06-15
==========
* Removed the warning text on the settings page
* Added internal system for better database upgrades, thanks @Danstahr
* Included Jottacloud backend in the build output, thanks @Danstahr
* Fixed an arugment-out-of-range error in the "compare" method, thanks @Danstahr
* Added support for reading and writing filters in external scripts, thanks @IGTHORN
* Added an environment variable to override the default file-system case-sensitivity
* Improved recreate database speeds, thanks @zed9h

2017-06-09 - 2.0.1.65_canary_2017-06-09
==========
* Updated the Azure libraries
* Cleaned the deployed builds from XML files
* Fixed an out-of-bounds error, thanks @okoetter
* Updated localizations
* Fixed a bug where the SSL certificate was reported to the client

2017-06-02 - 2.0.1.64_canary_2017-06-02
==========
* Compile all executables without `Prefer32Bit`
* Fixed not showing the commandline arguments if the input is incorrect

2017-06-01 - 2.0.1.63_canary_2017-06-01
==========
* Rebuild, gpg was removed from the build maching causing 2.0.1.62 to be a partially unsigned build

2017-06-01 - 2.0.1.62_canary_2017-06-01
==========
* Caching is now enabled for static content in the WebUI, thanks @mknjc
* Fixed an issue with `--deleted-files`, thanks @downpoured
* Added permissions testing for the "Test connection" on aFTP, thanks @vnau
* Changed some `GET` calls to `POST` for the login sequence
* Fixed not being able to change the usagereporter level
* Added support for setting a theme
* Added the "dark" theme, thanks Michal
* Updated SharpCompress to the latest version

2017-05-30 - 2.0.1.61_experimental_2017-05-30
==========
This experimental release contains all the changes from canary v2.0.1.60,
including:

* Performance updates, faster backups, less memory
* Fixed an issue with zip files larger than 4GiB
* Improved import/export functions

If you are using VSS snapshots on Windows,
make sure you install VC++ 2015 redist:
https://www.microsoft.com/en-us/download/details.aspx?id=48145

2017-05-23 - 2.0.1.60_canary_2017-05-23
==========
* Re-enabled the GTK trayicon that was missing in the previous two versions

2017-05-22 - 2.0.1.59_canary_2017-05-22
==========
* Fixed an issue with NewtonSoft.Json not loading for some backends
* Note that Windows VSS now requires VC++ Redist 2015 installed

2017-05-19 - 2.0.1.58_canary_2017-05-19
==========
* Fixed an issue with the FTP backend in 2.0.1.57
* Improved the query used to get the timestamp if `--check-filetime-only` is enabled

2017-05-17 - 2.0.1.57_canary_2017-05-17
==========
* Fixed an issue with not being performed correctly with AmzCD
* Fixed the Windows verifyscript, thanks @mnaiman
* Updated fonts to work better with Russian language display, thanks @vnau
* Removed Tlsv1 option from server, thanks @mnaiman
* Updated NewtonSoft.Json, MailKit, MimeKit and AlphaVSS
* Fixed the way AllowWriteBuffering is used, which should fix delete errors on AmzCD
* Fixed an error in searching for files with regular expressions

2017-04-21 - 2.0.1.56_canary_2017-04-21
==========
* Fixed an issue with duplicate strings in S3 providers
* Fixed an issue where a file being expanded during backup could cause the file to not be backed up.
* Changed HTTP requests to not buffer the output to fix out-of-memory errors
* Added a Python script to do restores completely without using Duplicati, thanks @downpoured !
* Improved Amazon Cloud Drive by not waiting while performing batched requests

2017-04-06 - 2.0.1.55_canary_2017-04-06
==========
* Updated SharpCompress to support creating zip files larger than 4 GiB
* Added a commandline-like interface to the WebUI
* Updated the backendtool to support full paths
* Updated the list of S3 regions and servers
* Change the UI to have a fixed top-bar with status and progress
* Fixed a crash that occurs if the web-browser does not send `Accept-Language`
* Fixed an issue with filtering the output of the LIST command

2017-03-26 - 2.0.1.54_canary_2017-03-26
==========
* Fixed an unwanted empty folder creation, thanks @albertony
* Fixed logic issues with volumesize minimum bounds, thanks @albertony
* Fixed importing config files with AllowedDays set
* Improved database performance on backups, thanks @danstahr

2017-03-13 - 2.0.1.53_experimental_2017-03-13
==========
* This update contains the same fixes as canary 2.0.1.51

2017-03-13 - 2.0.1.52_canary_2017-03-13
==========
* Added fail-over to read zip files with invalid central directory
* Improved the login page for compatibility with password managers, thanks @johenning
* Improved the URL parser for better commandline import
* Improved the URL parsing when importing a saved configuration
* Added exit/status codes to the verification command
* Added IBM Bluemix COS to list of S3 providers, thanks @greyhoundforty
* Improved startup time for commandline, thanks @frelis
* Improved non-hosted mode for TrayIcon, thanks @mnaiman
* Added a Jottacloud backend, thanks @albertony

2017-03-03 - 2.0.1.51_canary_2017-03-03
==========
* Updated the bundled version of SQLite for Windows to 1.0.104.0
* Added deep archive verification when invoking verify
* Changed the pagination method for GoogleDrive

2017-02-28 - 2.0.1.50_canary_2017-02-28
==========
* Added error message if `--prefix` contains hyphens
* Fixed an issue with editing the allowed days on the schedule page
* Changed "import" so it just loads the configuration into the editor, allowing the user to edit it before saving
* Added function to restore that loads setup from a configuration file
* Updated SharpCompress and S3 libraries
* Improved crash messages for Windows TrayIcon

2017-02-23 - 2.0.1.49_experimental_2017-02-23
==========
* This build is the same as the canary

2017-02-23 - 2.0.1.48_canary_2017-02-23
==========
* Updated translations, thanks @agrajaghh
* Improved verification script, thanks @mnaiman
* Support for SSL certificates in server when running with Mono, thanks @mnaiman
* Improved progress bar updates when processing large files, thanks @asselin

2017-02-14 - 2.0.1.47_canary_2017-02-14
==========
* Updated some localizations
* Updated the user interface
* Fixed an issue where the Force Stop action did not work immediately

2017-02-03 - 2.0.1.46_canary_2017-02-03
==========
* Fixed icon sizes
* Removed the fake control.cgi entry
* Added experimental support for setting the SQLite tempdir
* Added an optimization that makes bug reports faster to create
* Added a new HTTP reporter module, thanks @vatara

2017-02-03 - 2.0.1.45_experimental_2017-02-03
==========
* This experimental release contains the fixes in the latest canary and some updated translations, and a fix that makes creating a bug-report faster

2017-01-24 - 2.0.1.44_canary_2017-01-24
==========
* Added SSL test tools for Mono debugging
* Fixed an issue with not reporting the correct error message when listing files
* Updated logs UI to show the backup name
* Added extra menu items to the start page
* Fixed a number of typos
* Added a more thorough consistency check
* Added an extra result level "fatal" to reporting
* Fixed reporting warning status if there were warnings during the backup

2017-01-19 - 2.0.1.43_canary_2017-01-19
==========
* Improved queries that are used to recreate the database
* Fixed duplicate logging entries when a log file was used

2017-01-16 - 2.0.1.41_canary_2017-01-16
==========
* Added a debugging feature to assist with #1699, #2048, #2140, #2178
* Fixed a problem with listing changes from the commandline

2017-01-12 - 2.0.1.40_canary_2017-01-12
==========
* Added extra functionality to the `--allow-full-removal` option
* Various updates to send-mail
* Reworked logging support to allow modules to funnel logs back into the current operation
* Reverted an optimization that cause backup scanning to be really slow

2017-01-08 - 2.0.1.39_canary_2017-01-08
==========
* Fixed some typos, thanks @sfahrenholz
* Added webp to compressed file extension list, thanks @dessant
* Changed aftp backend to use CWD, thanks @seaeagle1
* Added "purge" command to purge files from the database
* Added "list-broken-files" and "purge-broken-files" to aid in recovering from remote data loss
* Added additional trace log messages to debug some consistency issues
* Fixed support for operations across different operating systems

2016-12-27 - 2.0.1.38_canary_2016-12-27
==========
* Fixed a problem with login no longer working
* Updated the login page to use blue colors

2016-12-27 - 2.0.1.37_canary_2016-12-27
==========
* Added a check for administrator privileges to avoid HyperV error messages

2016-12-24 - 2.0.1.36_canary_2016-12-24
==========
* Fixed a case where excluded gave a warning
* Removed the "No LSB Modules" messages on Linux
* Fixed a problem with lon UNC paths on Windows, thanks @quincunx
* Removed the Greeno theme as it was not maintained
* Removed some unused options for setting in-memory buffers
* Added debug output if we hit issue #1400

2016-12-05 - 2.0.1.34_canary_2016-12-05
==========
* Fixed an issue with spurious errors in the UI mentioning Hyper-V
* Fixed an issue where requesting deletion of remote files did not work
* Improved the status results reported in the log files
* Fixed some issues with the usage reporter
* Fixed an issue with the SSH fingerprint not being accepted in URL encoded format

2016-11-27 - 2.0.1.33_canary_2016-11-27
==========
* Updated Linux certificate warnings to mention cert-sync instead of Mozroots
* Added option to run the Duplicati server as a Linux service, thanks @a1ezzz
* Updated LVM snapshot size parameters, thanks @kakoskin1
* Fixed schedule time being skewed towards UTC, thanks @tianqiaoxiangzhe
* Improved notification area layout, thanks @tudacs
* Fixed a case where it would be impossible to edit the weekdays in the schedule, thanks @tudacs
* Added support for choosing time values in seconds range from the UI
* Fixed issues with the scheduler not re-scheduling entries until after a restart
* Fixed a case where sizes chosen from the advanced options editor would be invalid

2016-11-12 - 2.0.1.32_canary_2016-11-12
==========
* Fixed an issue with deleting a backup
* Fixed an issue with creating a backup without encryption
* Fixed storing symlink metadata to not follow symlinks unless specified
* Updated AlphaFS, AWS (S3), SSH, Azure, Mega and mailkit libraries
* Fixed an issue with XFS-LVM snapshots, thanks @kakoskin1
* Updated languages, added Chinese
* Added a GUI for MSSQL databases, thanks @mnaiman
* Fixed an issue with metadata being reported as being too large if the blocksize is 1mb or or more
* Fixed escaping exported commandline for Windows
* Fixes to the UI, thanks @agrajaghh

2016-11-03 - 2.0.1.31_canary_2016-11-03
==========
* Fixed autoupdater choosing old update if the base version was replaced
* Improved the UI for adding a backup, thanks @agrajaghh
* Added MSSQL to potential backup targets, thanks @mnaiman

2016-11-03 - 2.0.1.30_experimental_2016-11-03
==========
* Experimental release; includes all canary changes
* Updated translations
* Rebuilt UnixSupport to fix OSX metadata issues

2016-10-27 - 2.0.1.29_canary_2016-10-27
==========
* Better support for LVM snapshots, thanks @a1ezzz
* Fixed additional Debian dependencies, thanks @a1ezzz
* Additional translation files, Spanish and French
* Improved HyperV support from CLI and UI, thanks @mnaiman and @agrajaghh
* Fixed a bug with log-spam from Windows Service, thanks @mnaiman
* Fixed issue with backup metadata and user that do not exist locally, thanks @gerco
* Improved screen reading support
* Fixed OSX icon on dark statusbar
* Fixed crashes on Linux related to icon format
* Updated GTK support and switched to SVG icons

2016-10-19
==========
* Some additions to the translation system
* Fixed setting current working dir, thanks @mnaiman
* Fixed an issue where deleting a backup would not work
* Updated the throttle computation algorithm
* Suppressing the "No LSB modules found" error message on Ubuntu
* Added support for metadata larger than 100kb
* NOTE: The large metadata support changes the remote file format for all newly written files
* Added support for HyperV on CLI and in the UI, thanks @mnaiman and @agrajaghh
* Fixed an issue with the Debian package requiring AlphaVSS.Common.dll when performing LVM snapshots
* Fixed an issue with Amazon Cloud Drive, thanks @AndersGron
* Fixed an incorrect warning when using the commandline and GPG

2016-10-14
==========
* Work on the translation system, thanks @agrajaghh
* Added tray-icon context menu icons, thanks @agrajaghh
* Added support for "caffeinate" on OSX to prevent sleep during backups
* Work on Hyper-V support, thanks @mnaiman
* Fixed an issue with Windows service running from the wrong start folder
* Changed dependencies in packages to require Mono 3.0
* Added a new delete dialog to assist in deleting the local database and optionally the remote data
* UI tweaks
* Added validation when saving/importing backups
* Fixed some issues with choosing the home folder on Windows

2016-09-29
==========
* Updated help file for commandline
* Fixed a problem with showing progress / crashing UI
* Support for localization
* Added messages in the log when finishing an operation
* Added log message after starting the webserver
* Support for the --asynchronous-upload-folder setting
* Added a dialog in the UI when clicking Run and the server is paused
* Improved formating of the logged result message
* Updated bundled GPG for Windows

2016-09-26
==========
* Fixed some issues in commandline help (thanks @agrajaghh)
* Added support for backing up HyperV machines (thanks @GNicho)
* Fixed showing backend statistics when --no-remote-verification is specified
* Fixed global options not being applied

2016-09-21
==========
* Change default TrayIcon on OSX to work on 32bit Mono
* Added localization support calls to all strings in the UI

2016-09-16
==========
* Fixed a restore issue from a partially reconstructed database
* Implemented Auhtenticode signing for all executables and libraries
* Implemented Authenticode signing for Windows MSI files
* Implmented Codesign for OSX pkg and dmg files
* Updated Mono check for existing certificates, to avoid showing mozroots message
* Added support for installing Duplicati.WindowsService.exe as a service from the commandline

2016-09-12
==========
* Fixed a problem with restoring from the UI, thanks @4m1g0

2016-09-09
==========
* Fixes to the Dropbox backend
* Fixed restore of files/folders with semicolon and plus characters from the UI
* Added visual feedback when clicking the restore button
* Added assembly redirects to solve issues with loading SharpAESCrypt and Mega backend
* Changed the label for dblocksize in the UI

2016-09-01
==========
* Fixed VSS based backups not working after 2.0.1.17
* Prevent including temporary files in verification file, thanks @mnaiman
* Added host-key verification for SSH connections, thanks @mnaiman

2016-08-27
==========
* Fixed issue with files not being listed on Windows (AlphaFS and AlphaVSS issue)
* Updated B2 API URL
* Added compact command to WebUI

2016-08-10
==========
* OneDrive for Business now uploads files in chunks to prevent timeout, thanks @ReneHezer
* Prevent using both --keep-version and --keep-time to avoid confusion
* Fixed a number of usability issues with the WebUI
* Fixed encoding of special characters for Amazon Cloud Drive, thanks @Xelio
* Fixed an issue with the recovery tool not respecting the restore folder target, thanks @mnaiman
* Fixed issues when including the "home" folder on Windows
* Fixed expanding environment variables and special folder names for filters
* Changed displaying the dates in the WebUI with the browser locale
* Added option to re-compress and re-encrypt from the recovery tool, thanks @mnaiman
* Updated AWS S3 library to latests version
* Added option to create an un-priviledged S3 user via IAM, if the current user has permissions
* Fixed an issue with the scheduler that cause high CPU usage for invalid schedules
* Fixed an issue with the WebUI forgetting SSL settings in some cases
* Upgraded support for sending email to use a new library with proper SSL support, thanks @mnaiman
* Fixed spurious failures in SSH connections, caused by leaking open connections, thanks @mnaiman
* Fixed a Mono dependency in the Debian package that has been renamed
* Added a DropBox backend, thanks @wvc
* Added option to serve the WebUI with an SSL certificate, thanks @mnaiman
* Improments to the recovery tool, thanks @mnaiman
* Fixed an issue where deleting a backup and creating a new could cause data to be pre-set from the delete backup on the new, thanks @4m1g0
* Fixed an issue with LVM not working on newer versions of Ubuntu
* Fixed an issue where Mono could not be located by the OSX app bundle
* Fixes to WebUI layout, thansk @Vaporizer8

2016-05-14
==========
* Fixes for UI on Safari, thanks @alexfran
* Speed and space improvement for backups, thanks @footstark
* Added a Synology package

2016-05-04
==========
* Updated Renci.SSH to latest build
* Added duration to the UI (thanks @trampi)
* Fixed a bug in recreate database with specially crafted index files

2016-04-27
==========
* Improved support for OEM customization
* Updated tray icons on OSX
* Added support for choosing SSL protocols
* Added suppresion of reparsepoint errors
* Improved restoring folder symlinks

2016-04-21
==========
* Added a new TrayIcon runner for OSX, so it now works on 64bit mono
* Fixed some error messages
* Updated App icon on Windows
* Added a Windows service
* Fixed an issue with IE caching data in the UI
* Fixed an issue with restoring from multi-drive backups in Windows
* Fixed an issue with spaces in the path on B2 backend
* Changed how the autoupdater attempts to find a folder for storing updates
* Updated NGAX, thanks AlexFRAN

2016-04-10
==========
* Added a new FTP backend, thanks @mylemans
* Fixed an issue with AWS crashing in initializer
* Updated list of compressed extensions

2016-04-08
==========
* Fixed a problem with symlink policy not being honored for folders
* Fixed disposing database commands and connections, which should fix all "database is locked" errors on Windows
* Updates to handling scenarios where the user is not logged in, thanks @mylemans
* Added an OSX TrayIcon for 64-bit, based on rumps

2016-03-31
==========
* Fixed some issues with non-standard block sizes
* Fixed a number of issues with recreating the database from remote data, thanks @footstark
* Fixed an issue where filelists with no files would cause an error message
* Added an import link to the NGAX theme
* Fixed loading and saving additional properties from NGAX theme
* Improved login redirect logic in NGAX theme, thanks @mylemans
* Improved layout for the NGAX theme, thanks @AlexFran
* Improved image quality for the TrayIcon on OSX and Windows, thanks @FootStark and @agrajaghh

2016-03-26
==========
* Fixed a problem with recreating database from backup data
* Added a OneDrive for business backend
* Fixed tray icons on all platforms
* Fixed an issue with running on .Net 4.0

2016-03-20
==========
* New icons, thanks to @agrajaghh
* Multithreading is now enabled by default

2016-03-18
==========
* Improved rebuild of the local database

2016-03-16
==========
* Improvements to database size, thanks to @FootStark
* Reduced storage for large backup sets, thanks to @FootStark
* Update version of SharpAESCrypt with utilization of hardware support for encryption/decryption if available

2016-03-14
==========
* Added options to run AES encryption with two threads, and decryption with up to four
* Fixed some minor issues with the UI introduced in the previous build

2016-03-13
==========
* Updated icons for Windows and Linux
* Improvements to selecting update channels
* Showing drive labels on Windows
* Fixed selecting expire intervals with the Ngax theme
* Minor display fixes
* Fixes to Amazon Cloud Drive backend

2016-03-12
==========
* Added feature to select update channel in the UI
* Added feature to select usage reporter level in the UI

2016-03-11
==========
* Added support for additional configuration parameters for S3
* Added download piping for optional parallel hash checking, thanks to Stefan Lück 
* Drastic improvements for restore speeds, especially on large dataset, thanks to Stefan Lück

2016-02-15
==========
* Added expansion of environment variables in filters
* Numerous fixes for Windows
* Added error message for attempting to restore encrypted backup without a passphrase
* Added two substantial performance fixes for restoring, thanks to @FootStark and @kunom.

2016-01-27
==========
- Added option for more thorough verification during remote volume test
- Added support for backing up the filesystem root ( i.e. / ), thanks @mach-o
- Added fixes to ensure that a failed rebuild of a database cannot be used
- Added an update to SharpCompress to fix a special case where some bytes could be lost on extraction
- Updated the NGAX UI with the latest fixes from Alexander

2016-01-12
==========
* Fixed the autoupdate popup
* Added feature to suppress donation messages
* Fixed an issue with PARSEDRESULT being empty in emails
* Fixed an issue with paths that contains spaces not being listed for restore
* Added support for modifying filters through scripts and the parameters file
* Added check for duplicate files from the backend and updated Google Drive to not report multiple versions of the same file
* Fixed an unhelpful error message when authid was not supplied
* Added workaround for Mono 2.11 where get_DefinedTypes is missing

2015-12-17
==========
* Bugfix for Backblaze backend
* Added faster fail for OAuth backends with wrong credentials

2015-12-14
==========
* Fixed a few issues with the new theme
* Added a system info page in the new theme

2015-12-08
==========
* New favicon
* Numerous fixes to the ngax theme
* Method for editing path to local database

2015-12-07
==========
* Added signed GPG signatures to each build
* Fixed an issue with notifications
* Numerous fixes and additions to the ngax UI
* Added Amazon Cloud Drive backend
* Added Backblaze Cloud Storage backend
* Added Mega.co.nz backend
* Added Box.com backend

2015-11-30
==========
* Added a check after repairing to test if more damages are done than fixed
* Implemented correct escaping of environment variables when used in regular expressions
* Improved the Greeno WebUI when picking file paths
* Added the new Angular code and the UI by Alexander
* Added a theme switcher

2015-11-18
==========
* Improved CLI output when there are no results
* Fixed a filtering issue with case-sensitive systems
* Improved restore by guessing the encryption and compression modules based on their filenames
* Improved robustness by checking if a file really exists when the server returns 404
* Fixed an issue where a deleted file would be repeatedly attempted verified
* Improvements to various CLI inputs
* Added a fix for a bug where pausing the server would keep it paused
* Bugfixes for the REST API
* Added some indexes to speed up the restore process
* Fixed a bug where backing up a folder and a subfolder would lead to all files being excluded
* Fixed an issue with compacting that would cause the database to require a repair if the compacting was interrupted
* Added mentions of the mozroots utility on Linux in various places
* Added the storage-class option to S3
